cURL
curl --request GET \
--url https://api.youappz.dev/projects/{idOrName}/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.youappz.dev/projects/{idOrName}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.youappz.dev/projects/{idOrName}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youappz.dev/projects/{idOrName}/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youappz.dev/projects/{idOrName}/domains"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youappz.dev/projects/{idOrName}/domains")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youappz.dev/projects/{idOrName}/domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"domains": [
{
"id": 123,
"teamId": "<string>",
"alias": "<string>",
"domain": "<string>",
"zoneId": "<string>",
"target": "<string>",
"redirect": "<string>",
"redirectStatusCode": 302,
"createdAt": 123,
"updatedAt": 123,
"createdBy": 123,
"deploymentId": "<string>",
"projectId": "<string>"
}
],
"pagination": {
"count": 20,
"next": 1540095775951,
"prev": 1540095775951
}
}{
"code": 400,
"message": "One of the provided values in the request body/query is invalid"
}projects
Retrieve project domains by project by id or name
Retrieve the domains associated with a given project by passing either the project id or name in the URL.
GET
/
projects
/
{idOrName}
/
domains
cURL
curl --request GET \
--url https://api.youappz.dev/projects/{idOrName}/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.youappz.dev/projects/{idOrName}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.youappz.dev/projects/{idOrName}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youappz.dev/projects/{idOrName}/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youappz.dev/projects/{idOrName}/domains"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youappz.dev/projects/{idOrName}/domains")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youappz.dev/projects/{idOrName}/domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"domains": [
{
"id": 123,
"teamId": "<string>",
"alias": "<string>",
"domain": "<string>",
"zoneId": "<string>",
"target": "<string>",
"redirect": "<string>",
"redirectStatusCode": 302,
"createdAt": 123,
"updatedAt": 123,
"createdBy": 123,
"deploymentId": "<string>",
"projectId": "<string>"
}
],
"pagination": {
"count": 20,
"next": 1540095775951,
"prev": 1540095775951
}
}{
"code": 400,
"message": "One of the provided values in the request body/query is invalid"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique project identifier or the project name
Example:
"prj_LLHUOMOoDlqOp8wPE4kFo9pE or my-project-name"
Query Parameters
Available options:
true Available options:
true Available options:
true Maximum number of domains to list from a request
Example:
20
Get domains created after this JavaScript timestamp
Example:
"1540095775941"
Get domains created before this JavaScript timestamp
Example:
"1540095775941"
Available options:
ASC, DESC The Team identifier or Team slug to perform the request on behalf of.
Example:
"team_xbtegd63gdg5636gdg"
Response
Successful response retrieving a list of domains